Difference between revisions of "Sketcher Workbench/pl"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "* 32px Zmniejsz stopień B-splajnu, obecnie to polecenie nie jest zaimplementowane. {{Version/pl...")
 
(68 intermediate revisions by 3 users not shown)
Line 49: Line 49:
 
W takich sytuacjach Draft jest najczęściej używany razem ze Środowiskiem pracy [[Arch Workbench|Arch]]. Narzędzie [[Draft Draft2Sketch|Draft2Sketch]] konwertuje obiekt Draft na obiekt Sketch i vice versa. Wiele narzędzi, które potrzebują elementu 2D jako wejścia do pracy z każdym typem obiektu wykonuje automatycznie konwersję wewnętrzną.
 
W takich sytuacjach Draft jest najczęściej używany razem ze Środowiskiem pracy [[Arch Workbench|Arch]]. Narzędzie [[Draft Draft2Sketch|Draft2Sketch]] konwertuje obiekt Draft na obiekt Sketch i vice versa. Wiele narzędzi, które potrzebują elementu 2D jako wejścia do pracy z każdym typem obiektu wykonuje automatycznie konwersję wewnętrzną.
  
==Przepływ pracy szkicownika==
+
==Szkicowanie schemat pracy==
  
 
Szkic jest zawsze dwuwymiarowy ''(2D)''. Aby utworzyć bryłę, tworzony jest płaski szkic pojedynczego zamkniętego obszaru, a następnie zostaje albo wypełniony albo obracany, aby dodać trzeci wymiar. W ten sposób tworzona jest przestrzenna bryła z płaskiego szkicu.
 
Szkic jest zawsze dwuwymiarowy ''(2D)''. Aby utworzyć bryłę, tworzony jest płaski szkic pojedynczego zamkniętego obszaru, a następnie zostaje albo wypełniony albo obracany, aby dodać trzeci wymiar. W ten sposób tworzona jest przestrzenna bryła z płaskiego szkicu.
Line 57: Line 57:
 
Wewnątrz zamkniętego obszaru możemy mieć mniejsze powierzchnie nie zachodzące na siebie.  Będą to puste przestrzenie, gdy zostanie utworzona bryła 3D.
 
Wewnątrz zamkniętego obszaru możemy mieć mniejsze powierzchnie nie zachodzące na siebie.  Będą to puste przestrzenie, gdy zostanie utworzona bryła 3D.
  
<div class="mw-translate-fuzzy">
+
Gdy szkic jest w pełni związany, jego elementy zmienią kolor na zielony, geometria konstrukcji pozostanie niebieska. Zazwyczaj jest on gotowy w tym miejscu i nadaje się do wykorzystania przy tworzeniu bryły 3D. Jednakże, gdy okno dialogowe Szkic jest zamknięte, warto przejść do Środowiska pracy [[Image:Workbench_Part.svg|24px]] [[Part_Module|Part Workbench]] and running {{Button|[[File:Part_CheckGeometry.svg|16px]] [[Part_CheckGeometry|Sprawdź geometrię]]}}, aby upewnić się, że w Szkicu nie ma elementów, które mogą spowodować późniejsze problemy.
Gdy szkic jest w pełni związany, jego elementy zmienią kolor na zielony, geometria konstrukcji pozostanie niebieska. Zazwyczaj jest on gotowy w tym miejscu i nadaje się do wykorzystania przy tworzeniu bryły 3D. Jednakże, gdy okno dialogowe Szkic jest zamknięte, warto przejść do Środowiska pracy [[Image:Workbench_Part.svg|24px]] [[Part Workbench|Part]] i uruchomić funkcje [[Image:Part_CheckGeometry.svg|24px]] [[Part CheckGeometry|Sprawdź geometrię]], aby upewnić się, że w Szkicu nie ma elementów, które mogą spowodować późniejsze problemy.
 
</div>
 
  
 
==Narzędzia==
 
==Narzędzia==
 
Wszystkie narzędzia Środowiska prascy Sketcher znajdują się w menu głównym '''Sketch''', się one po załadowaniu tego środowiska pracy.  
 
Wszystkie narzędzia Środowiska prascy Sketcher znajdują się w menu głównym '''Sketch''', się one po załadowaniu tego środowiska pracy.  
  
=== General ===
+
===Informacje ogólne===
  
 
* [[Image:Sketcher_NewSketch.svg|32px]] [[Sketcher_NewSketch|Nowy szkic]]: Tworzy nowy szkic na wybranej powierzchni lub płaszczyźnie. Jeśli podczas uruchamiania tego narzędzia nie zostanie wybrana żadna ściana, użytkownik zostanie poproszony o wybranie płaszczyzny z wyskakującego okna.
 
* [[Image:Sketcher_NewSketch.svg|32px]] [[Sketcher_NewSketch|Nowy szkic]]: Tworzy nowy szkic na wybranej powierzchni lub płaszczyźnie. Jeśli podczas uruchamiania tego narzędzia nie zostanie wybrana żadna ściana, użytkownik zostanie poproszony o wybranie płaszczyzny z wyskakującego okna.
Line 74: Line 72:
 
* [[Image:Sketcher_ViewSketch.svg|32px]] [[Sketcher_ViewSketch|Widok szkucu]]: Ustawia widok modelu prostopadle do płaszczyzny szkicu.
 
* [[Image:Sketcher_ViewSketch.svg|32px]] [[Sketcher_ViewSketch|Widok szkucu]]: Ustawia widok modelu prostopadle do płaszczyzny szkicu.
  
<div class="mw-translate-fuzzy">
+
* [[Image:Sketcher_ViewSection.svg|32px]] [[Sketcher_ViewSection|Zobacz przekrój]]: Tworzy płaszczyznę przekroju, która tymczasowo ukrywa jakąkolwiek zawartość przed płaszczyzną szkicu. {{Version/pl|0.18}}
* [[Image:Sketcher ViewSection.svg|32px]] [[Sketcher_ViewSection|Zobacz przekrój]]: Tworzy płaszczyznę przekroju, która tymczasowo ukrywa jakąkolwiek zawartość przed płaszczyzną szkicu. {{Version/pl|0.18}}
 
</div>
 
  
 
* [[Image:Sketcher_MapSketch.svg|32px]] [[Sketcher_MapSketch|Mapuj szkic na płaszczyznę]]: Nanosi szkic na uprzednio wybraną ścianę bryły.
 
* [[Image:Sketcher_MapSketch.svg|32px]] [[Sketcher_MapSketch|Mapuj szkic na płaszczyznę]]: Nanosi szkic na uprzednio wybraną ścianę bryły.
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ReorientSketch.svg|32px]] [[Sketcher_ReorientSketch|Zmień orientacje szkicu]]: Umożliwia dołączenie szkicu do jednej z głównych płaszczyzn.
* [[Sketcher_Reorient|Zmień orientacje szkicu]]: Umożliwia zmianę położenia szkicu.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ValidateSketch.svg|32px]] [[Sketcher_ValidateSketch|Sprawdź poprawność szkicu]]: Sprawdź odchylenie różnych punktów i dopasuj je.
* [[Sketcher_ValidateSketch|Sprawdź poprawność szkicu]]: Sprawdź odchylenie różnych punktów i dopasuj je.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[Image:Sketcher_MergeSketch.svg|32px]] [[Sketcher_MergeSketches|Połącz szkice]]: Łączy ze sobą dwa lub więcej szkiców. {{Version/pl|0.15}}
* [[Image:Sketcher MergeSketch.svg|32px]] [[Sketcher MergeSketches|Połącz szkice]]: Łączy ze sobą dwa lub więcej szkiców. {{Version/pl|0.15}}
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[Image:Sketcher_MirrorSketch.svg|32px]] [[Sketcher_MirrorSketch|Odbicie lustrzane]]: Odbicie szkicu wzdłuż osi x, osi y, lub punktu początku układu współrzędnych. {{Version/pl|0.16}}
* [[Image:Sketcher MirrorSketch.svg|32px]] [[Sketcher MirrorSketch|Odbicie lustrzane]]: Odbicie szkicu wzdłuż osi x, osi y, lub punktu początku układu współrzędnych. {{Version/pl|0.16}}
+
 
</div>
+
* [[File:Sketcher_StopOperation.svg|32px]] [[Sketcher_StopOperation|Przerwij działanie]]: w trybie edycji przerywa bieżącą operację, niezależnie od tego, czy jest to rysowanie, ustawianie wiązań, itp.
  
 
===Geometria w szkicowniku===
 
===Geometria w szkicowniku===
Line 102: Line 92:
 
* [[Image:Sketcher_CreatePoint.svg|32px]] [[Sketcher_CreatePoint|Utwórz punkt na szkicu]]: Rysuje punkt.
 
* [[Image:Sketcher_CreatePoint.svg|32px]] [[Sketcher_CreatePoint|Utwórz punkt na szkicu]]: Rysuje punkt.
  
<div class="mw-translate-fuzzy">
+
* [[Image:Sketcher_CreateLine.svg|32px]] [[Sketcher_CreateLine|Utwórz linię na szkicu]]: Rysuje odcinek linii między 2 punktami. Linie są nieograniczone pod względem pewnych wiązań.
* [[Image:Sketcher_Line.svg|32px]] [[Sketcher_CreateLine|Utwórz linię na szkicu]]: Rysuje odcinek linii między 2 punktami. Linie są nieograniczone pod względem pewnych wiązań.
 
</div>
 
  
 
* [[Image:Sketcher_CompCreateArc.png|48px]] [[Sketcher_CompCreateArc|Utwórz łuk]]: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
 
* [[Image:Sketcher_CompCreateArc.png|48px]] [[Sketcher_CompCreateArc|Utwórz łuk]]: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
  
<div class="mw-translate-fuzzy">
+
:* [[Image:Sketcher_CreateArc.svg|32px]] [[Sketcher_CreateArc|Utwórz łuk w szkicowniku]]: Rysuje odcinek łuku od punktu środka, uwzględniając promień, oraz punkt początkowy i punkt końcowy.
:* [[Image:Sketcher_Arc.svg|32px]] [[Sketcher_CreateArc|Utwórz łuk w szkicowniku]]: Rysuje odcinek łuku od punktu środka, uwzględniając promień, oraz punkt początkowy i punkt końcowy.
 
</div>
 
  
 
:* [[Image:Sketcher_Create3PointArc.svg|32px]] [[Sketcher_Create3PointArc|Utwórz łuk podając 3 punkty na obwodzie]]: Rysuje odcinek łuku z dwóch punktów końcowych i innego punktu na obwodzie.
 
:* [[Image:Sketcher_Create3PointArc.svg|32px]] [[Sketcher_Create3PointArc|Utwórz łuk podając 3 punkty na obwodzie]]: Rysuje odcinek łuku z dwóch punktów końcowych i innego punktu na obwodzie.
Line 116: Line 102:
 
* [[Image:Sketcher_CompCreateCircle.png|48px]] [[Sketcher_CompCreateCircle|Utwórz okrąg ...]]: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
 
* [[Image:Sketcher_CompCreateCircle.png|48px]] [[Sketcher_CompCreateCircle|Utwórz okrąg ...]]: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
  
<div class="mw-translate-fuzzy">
+
:* [[Image:Sketcher_CreateCircle.svg|32px]] [[Sketcher_CreateCircle|Rysuje okrąg przez punkt środkowy i na obwodzie]]: Rysuje koło na podstawie punktu środkowego i promienia.
:* [[Image:Sketcher_Circle.svg|32px]] [[Sketcher_CreateCircle|Rysuje okrąg przez punkt środkowy i na obwodzie]]: Rysuje koło na podstawie punktu środkowego i promienia.
 
</div>
 
  
 
:* [[Image:Sketcher_Create3PointCircle.svg|32px]] [[Sketcher_Create3PointCircle|Rysuje okrąg podając 3 punkty na obwodzie]]: Rysuje okrąg z trzech punktów na obwodzie.
 
:* [[Image:Sketcher_Create3PointCircle.svg|32px]] [[Sketcher_Create3PointCircle|Rysuje okrąg podając 3 punkty na obwodzie]]: Rysuje okrąg z trzech punktów na obwodzie.
  
<div class="mw-translate-fuzzy">
 
 
* [[Image:Sketcher_CompCreateConic.png|48px]] [[Sketcher_CompCreateConic|Utwórz krzywa stożkową]]: Szkicownik oferuje poniższe sekcje o kształcie stożka. W przeciwieństwie do linii B-splines mogą być one używane z różnego rodzaju wiązaniami, takimi jak styczne, punkt na obiekcie lub prostopadłe.
 
* [[Image:Sketcher_CompCreateConic.png|48px]] [[Sketcher_CompCreateConic|Utwórz krzywa stożkową]]: Szkicownik oferuje poniższe sekcje o kształcie stożka. W przeciwieństwie do linii B-splines mogą być one używane z różnego rodzaju wiązaniami, takimi jak styczne, punkt na obiekcie lub prostopadłe.
** [[Image:Sketcher_CreateEllipse.svg|32px]] [[Sketcher CreateEllipseByCenter|Ellipsa przez środek. ..]]: Rysuje elipsę według punktu środkowego, głównego promienia i małego promienia. {{Version/pl|0.15}}
+
** [[Image:Sketcher_CreateEllipseByCenter.svg|32px]] [[Sketcher_CreateEllipseByCenter|Ellipsa przez środek. ..]]: Rysuje elipsę według punktu środkowego, głównego promienia i małego promienia. {{Version/pl|0.15}}
** [[Image:Sketcher_CreateEllipse_3points.svg|32px]] [[Sketcher CreateEllipseBy3Points|Ellipsa przez 3 punkty]]: Rysuje elipsę według średnicy głównej ''(2 punkty)'' i punktu mniejszego promienia. {{Version/pl|0.15}}
+
** [[Image:Sketcher_CreateEllipseBy3Points|32px]] [[Sketcher_CreateEllipseBy3Points|Ellipsa przez 3 punkty]]: Rysuje elipsę według średnicy głównej ''(2 punkty)'' i punktu mniejszego promienia. {{Version/pl|0.15}}
** [[Image:Sketcher_Elliptical_Arc.svg|32px]] [[Sketcher_CreateArcOfEllipse|Łuk elipsy przez środek ...]]: Rysuje łuk elipsy według punktu środkowego, głównego promienia, punktu początkowego i końcowego.{{Version|0.15}}
+
** [[Image:Sketcher_CreateArcOfEllipse.svg|32px]] [[Sketcher_CreateArcOfEllipse|Łuk elipsy przez środek ...]]: Rysuje łuk elipsy według punktu środkowego, głównego promienia, punktu początkowego i końcowego.{{Version|0.15}}
**[[Image:Sketcher_Hyperbolic_Arc.svg|32px]] [[Sketcher_CreateArcOfHyperbola|Łuk hiperboli przez środek ...]]: Rysuje łuk hiperboli. {{Version/pl|0.17}}
+
**[[Image:Sketcher_CreateArcOfHyperbola.svg|32px]] [[Sketcher_CreateArcOfHyperbola|Łuk hiperboli przez środek ...]]: Rysuje łuk hiperboli. {{Version/pl|0.17}}
**[[Image:Sketcher_Parabolic_Arc.svg|32px]] [[Sketcher_CreateArcOfParabola|Łuk paraboli]]: Rysuje łuk paraboli. {{Version/pl|0.17}}
+
**[[Image:Sketcher_CreateArcOfParabola.svg|32px]] [[Sketcher_CreateArcOfParabola|Łuk paraboli]]: Rysuje łuk paraboli. {{Version/pl|0.17}}
</div>
 
  
<div class="mw-translate-fuzzy">
 
 
* [[Image:Sketcher_CompCreateBSpline.png|48px]] [[Sketcher_CompCreateBSpline|Utwórz krzywą B-spline]]: Jest to ikona menu na pasku narzędzi Szkicownika, która zawiera następujące polecenia:
 
* [[Image:Sketcher_CompCreateBSpline.png|48px]] [[Sketcher_CompCreateBSpline|Utwórz krzywą B-spline]]: Jest to ikona menu na pasku narzędzi Szkicownika, która zawiera następujące polecenia:
 
** [[File:Sketcher_CreateBSpline.svg|32px]] [[Sketcher_CreateBSpline|Utwórz B-spline]]: Rysuje krzywą B-spline za pomocą punktów kontrolnych. {{Version/pl|0.17}}
 
** [[File:Sketcher_CreateBSpline.svg|32px]] [[Sketcher_CreateBSpline|Utwórz B-spline]]: Rysuje krzywą B-spline za pomocą punktów kontrolnych. {{Version/pl|0.17}}
** [[File:Sketcher_Create_Periodic_BSpline.svg|32px]] [[Sketcher_CreatePeriodicBSpline|Tworzenie okresowej linii B-spline]]: Rysuje okresową ''(zamkniętą)'' krzywą B-spline za pomocą punktów kontrolnych. {{Version/pl|0.17}}
+
** [[File:Sketcher_CreatePeriodicBSpline.svg|32px]] [[Sketcher_CreatePeriodicBSpline|Tworzenie okresowej linii B-spline]]: Rysuje okresową ''(zamkniętą)'' krzywą B-spline za pomocą punktów kontrolnych. {{Version/pl|0.17}}
</div>
 
  
 
* [[Image:Sketcher_CreatePolyline.svg|32px]] [[Sketcher_CreatePolyline|Utwórz polilinię w szkicu]]: Rysuje linię złożoną z wielu segmentów linii. Naciśnięcie klawisza {{KEY|M}} podczas rysowania polilinii przełącza pomiędzy różnymi trybami.  
 
* [[Image:Sketcher_CreatePolyline.svg|32px]] [[Sketcher_CreatePolyline|Utwórz polilinię w szkicu]]: Rysuje linię złożoną z wielu segmentów linii. Naciśnięcie klawisza {{KEY|M}} podczas rysowania polilinii przełącza pomiędzy różnymi trybami.  
Line 169: Line 149:
 
* [[File:Sketcher_CarbonCopy.svg|32px]] [[Sketcher_CarbonCopy|Kopiuje geometrię innego szkicu]]: Wykona kopie geometrii innego szkicu. {{Version/pl|0.17}}
 
* [[File:Sketcher_CarbonCopy.svg|32px]] [[Sketcher_CarbonCopy|Kopiuje geometrię innego szkicu]]: Wykona kopie geometrii innego szkicu. {{Version/pl|0.17}}
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ToggleConstruction.svg|32px]] [[Sketcher_ToggleConstruction|Tryb konstrukcji]]: Przełącza geometrię szkicu z/do trybu konstrukcyjnego. Geometria konstrukcji jest pokazana na niebiesko i jest pomijana poza trybem edycji szkicu.
* [[File:Sketcher AlterConstruction.svg|32px]] [[Sketcher_ToggleConstruction|Tryb konstrukcji]]: Przełącza geometrię szkicu z/do trybu konstrukcyjnego. Geometria konstrukcji jest pokazana na niebiesko i jest pomijana poza trybem edycji szkicu.
 
</div>
 
  
 
===Wiązania w szkicowniku===
 
===Wiązania w szkicowniku===
Line 180: Line 158:
 
Ograniczenia te nie są zależne od danych liczbowych.
 
Ograniczenia te nie są zależne od danych liczbowych.
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainCoincident.svg|32px]] [[Sketcher_ConstrainCoincident|32px]] [[Sketcher ConstrainCoincident|Utwórz wiązanie zgodności ...]]: Umieszcza punkt na ''(zbieżny z)'' jednym lub kilku innych punktach.
* [[Image:Constraint_PointOnPoint.svg|32px]] [[Sketcher ConstrainCoincident|Utwórz wiązanie zgodności ...]]: Umieszcza punkt na ''(zbieżny z)'' jednym lub kilku innych punktach.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainPointOnObject.svg|32px]] [[Sketcher_ConstrainPointOnObject|Ustaw punkt na obiekcie]]: Umieszcza punkt na innym obiekcie, takim jak linia, łuk lub oś.
* [[Image:Constraint_PointOnObject.svg|32px]] [[Sketcher ConstrainPointOnObject|Ustaw punkt na obiekcie]]: Umieszcza punkt na innym obiekcie, takim jak linia, łuk lub oś.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainVertical.svg|32px]] [[Sketcher_ConstrainVertical|Utwórz wiązanie pionowe ...]]: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji pionowej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
* [[Image:Constraint_Vertical.svg|32px]] [[Sketcher_ConstrainVertical|Utwórz wiązanie pionowe ...]]: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji pionowej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainHorizontal.svg|32px]] [[Sketcher_ConstrainHorizontal|Utwórz wiązanie poziome]]: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji poziomej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
* [[Image:Constraint_Horizontal.svg|32px]] [[Sketcher_ConstrainHorizontal|Utwórz wiązanie poziome]]: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji poziomej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainParallel.svg|32px]] [[Sketcher_ConstrainParallel|Utwórz wiąż równoległości]]: Wiąże dwie lub więcej linii, równolegle do siebie.
* [[Image:Constraint_Parallel.svg|32px]] [[Sketcher_ConstrainParallel|Utwórz wiąż równoległości]]: Wiąże dwie lub więcej linii, równolegle do siebie.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainPerpendicular.svg|32px]] [[Sketcher_ConstrainPerpendicular|Utwórz wąz prostopadłości ...]]: Wiąże dwie linie prostopadle do siebie, lub też wiąże linię prostopadłą do punktu końcowego łuku.
* [[Image:Constraint_Perpendicular.svg|32px]] [[Sketcher_ConstrainPerpendicular|Utwórz wąz prostopadłości ...]]: Wiąże dwie linie prostopadle do siebie, lub też wiąże linię prostopadłą do punktu końcowego łuku.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainTangent.svg|32px]] [[Sketcher_ConstrainTangent|Utwórz styczną ...]]: Tworzy wiązanie styczne pomiędzy dwoma wybranymi elementami lub wiązanie współliniowe pomiędzy dwoma segmentami linii.  Segment linii nie musi leżeć bezpośrednio na łuku lub okręgu, aby został związany ze styczną do tego łuku lub okręgu.
* [[Image:Constraint_Tangent.svg|32px]] [[Sketcher ConstrainTangent|Utwórz styczną ...]]: Tworzy wiązanie styczne pomiędzy dwoma wybranymi elementami lub wiązanie współliniowe pomiędzy dwoma segmentami linii.  Segment linii nie musi leżeć bezpośrednio na łuku lub okręgu, aby został związany ze styczną do tego łuku lub okręgu.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainEqual.svg|32px]] [[Sketcher_ConstrainEqual|Utwórz wiązanie równości]]: Powoduje, że dwie wybrane elementy są sobie równe.  Jeśli są używane na okręgach lub łukach, ich promienie będą ustawione jako równe.
* [[Image:Constraint_EqualLength.svg|32px]] [[Sketcher_ConstrainEqual|Utwórz wiązanie równości]]: Powoduje, że dwie wybrane elementy są sobie równe.  Jeśli są używane na okręgach lub łukach, ich promienie będą ustawione jako równe.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainSymmetric.svg|32px]] [[Sketcher_ConstrainSymmetric|Utwórz wiąz symetrii ...]]: Powoduje symetryczne związanie dwóch punktów względem linii lub też związanie pierwszych dwóch wybranych punktów symetrycznie względem trzeciego wybranego punktu.
* [[Image:Constraint_Symmetric.svg|32px]] [[Sketcher_ConstrainSymmetric|Utwórz wiąz symetrii ...]]: Powoduje symetryczne związanie dwóch punktów względem linii lub też związanie pierwszych dwóch wybranych punktów symetrycznie względem trzeciego wybranego punktu.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[Image:Sketcher_ConstrainBlock.svg|32px]] [[Sketcher_ConstrainBlock|Utwórz wiązanie blokowania]]: blokuje ruch krawędzi, to znaczy zapobiega zmianie aktualnego położenia wierzchołków. Szczególnie przydatne powinno być ustalenie pozycji B-splajnów. Patrz [https://forum.freecadweb.org/viewtopic.php?f=9&t=26572 temat na forum Block Constraint]. {{Version/pl|0.17}}
* [[Image:Sketcher_ConstrainBlock.svg|32px]] [[Sketcher_ConstrainBlock|Utwórz wiazanie blokowania]]: Zasadniczo umożliwia blokowanie elementu geometrycznego w miejscu za pomocą pojedynczego wiązania. Szczególnie użyteczne powinno być działanie z B-Splines. Patrz [https://forum.freecadweb.org/viewtopic.php?f=9&t=26572 temat na forum Block Constraint]. {{Version/pl|0.17}}
 
</div>
 
  
 
====Wiązania wymiarów====
 
====Wiązania wymiarów====
 
Są to wiązania ściśle powiązane z danymi liczbowymi, dla których można użyć [[Expressions|wyrażeń]]. Dane mogą być pobierane z  [[Spreadsheet_Workbench|arkusza kalkulacyjnego]].
 
Są to wiązania ściśle powiązane z danymi liczbowymi, dla których można użyć [[Expressions|wyrażeń]]. Dane mogą być pobierane z  [[Spreadsheet_Workbench|arkusza kalkulacyjnego]].
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainLock.svg|32px]] [[Sketcher_ConstrainLock|Utwórz blokade wiazania ...]]: Powoduje związanie wybranego elementu poprzez ustawienie odległości pionowych i poziomych w stosunku do punktu początkowego, blokując w ten sposób lokalizację tego elementu. Odległości te można później edytować.
* [[Image:Sketcher_ConstrainLock.svg|32px]] [[Sketcher ConstrainLock|Utwórz blokade wiazania ...]]: Powoduje związanie wybranego elementu poprzez ustawienie odległości pionowych i poziomych w stosunku do punktu początkowego, blokując w ten sposób lokalizację tego elementu. Odległości te można później edytować.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainDistanceX.svg|32px]] [[Sketcher_ConstrainDistanceX|Ustal poziomą odległość ...]]: Ustala poziomą odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
* [[Image:Constraint_HorizontalDistance.svg|32px]] [[Sketcher ConstrainDistanceX|Ustal poziomą odległość ...]]: Ustala poziomą odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainDistanceY.svg|32px]] [[Sketcher_ConstrainDistanceY|Ustal pionową odległość ...]]: Ustala pionową odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
* [[Image:Constraint_VerticalDistance.svg|32px]] [[Sketcher_ConstrainDistanceY|Ustal pionową odległość ...]]: Ustala pionową odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainDistance.svg|32px]] [[Sketcher_ConstrainDistance|Ustal długość linii ...]]: Określa odległość wybranej linii przez związanie jej długości, lub określa odległość między dwoma punktami przez związanie odległości między nimi.
* [[Image:Constraint_Length.svg|32px]] [[Sketcher_ConstrainDistance|Ustal długość linii ...]]: Określa odległość wybranej linii przez związanie jej długości, lub określa odległość między dwoma punktami przez związanie odległości między nimi.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainRadius.svg|32px]] [[Sketcher_ConstrainRadius|Zwiąż promień]]: Określa promień wybranego łuku lub okręgu poprzez związanie promienia.
* [[Image:Constraint_Radius.svg|32px]] [[Sketcher_ConstrainRadius|Zwiąż promień]]: Określa promień wybranego łuku lub okręgu poprzez związanie promienia.
+
* [[File:Sketcher_ConstrainDiameter.svg|32px]] [[Sketcher_ConstrainDiameter|Średnica]]: Definiuje średnicę wybranego łuku lub okręgu poprzez związanie promienia.
* [[Image:Constraint_InternalAngle.svg|32px]] [[Sketcher_ConstrainAngle|Ustaw kąt linii ...]]: Określa kąt wewnętrzny między dwiema wybranymi liniami.
+
* [[File:Sketcher_ConstrainAngle.svg|32px]] [[Sketcher_ConstrainAngle|Ustaw kąt linii ...]]: Określa kąt wewnętrzny między dwiema wybranymi liniami.
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainSnellsLaw.svg|32px]] [[Sketcher_ConstrainSnellsLaw|Utwórz wiązanie prawa refrakcji ...]]: Wiąże dwie linie zgodnie z prawem załamania światła, aby symulować światło przechodzące przez interfejs. {{Version/pl|0.15}}
* [[Image:Constraint_SnellsLaw.svg|32px]] [[Sketcher ConstrainSnellsLaw|Utwórz wiązanie prawa refrakcji ...]]: Wiąże dwie linie zgodnie z prawem załamania światła, aby symulować światło przechodzące przez interfejs. {{Version/pl|0.15}}
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ConstrainInternalAlignment.svg|32px]] [[Sketcher_ConstrainInternalAlignment|Zwiąż do wewnątrz]]: Wyrównuje wybrane elementy do wybranego kształtu ''(np. linia staje się główną osią elipsy)''.  {{Version/pl|0.15}}
* [[Image:Constraint_InternalAlignment.svg|32px]] [[Sketcher_ConstrainInternalAlignment|Zwiąż do wewnątrz]]: Wyrównuje wybrane elementy do wybranego kształtu ''(np. linia staje się główną osią elipsy)''.  {{Version/pl|0.15}}
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ToggleDrivingConstraint.svg|32px]] [[Sketcher_ToggleDrivingConstraint|Przełącza pasek narzędzi ... do trybu odniesienia]]: Przełącza pasek narzędzi lub wybrane wiązania do/z trybu odniesienia. {{Version/pl|0.16}}
* [[Image:Sketcher_ToggleConstraint.svg|32px]] [[Sketcher_ToggleDrivingConstraint|Przełącza pasek narzędzi ... do trybu odniesienia]]: Przełącza pasek narzędzi lub wybrane wiązania do/z trybu odniesienia. {{Version/pl|0.16}}
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
* [[File:Sketcher_ToggleActiveConstraint.svg|32px]] [[Sketcher_ToggleActiveConstraint|Aktywuj/deaktywuj aktywne wiązanie]]: Włączenie lub wyłączenie już istniejącego wiązania. {{Version/pl|0.19}}
* [[File:Sketcher_ToggleActiveConstraint.svg|32px]] [[Sketcher_ToggleActiveConstraint|Przełącz aktywne wiązanie]]: Włączenie lub wyłączenie już istniejącego wiązania. {{Version/pl|0.19}}
 
</div>
 
  
 
===Narzędzia szkicownika===
 
===Narzędzia szkicownika===
  
* [[File:Sketcher SelectElementsWithDoFs.svg|32px]] [[Sketcher_SelectElementsWithDoFs|Wybierz nie związane DOFs]]: Podświetla na zielono geometrię z stopniami swobody ''(DOFs)'', tzn. nie w pełni związaną. {{Version/pl|0.18}}
+
* [[File:Sketcher_SelectElementsWithDoFs.svg|32px]] [[Sketcher_SelectElementsWithDoFs|Wybierz nie związane DOFs]]: Podświetla na zielono geometrię z stopniami swobody ''(DOFs)'', tzn. nie w pełni związaną. {{Version/pl|0.18}}
  
* [[Image:Sketcher CloseShape.svg|32px]] [[Sketcher CloseShape|Zamknij kształt]]: Tworzy zamknięty kształt, stosując wiązania zgodności względem punktów końcowych. {{Version/pl|0.15}}
+
* [[File:Sketcher_CloseShape.svg|32px]] [[Sketcher_CloseShape|Zamknij kształt]]: Tworzy zamknięty kształt, stosując wiązania zgodności względem punktów końcowych. {{Version/pl|0.15}}
  
* [[Image:Sketcher ConnectLines.svg|32px]] [[Sketcher ConnectLines|Połącz krawędzie]]: Połącz elementy szkicownika poprzez zastosowanie zbieżnych ograniczeń do punktów końcowych. {{Version/pl|0.15}}
+
* [[File:Sketcher_ConnectLines.svg|32px]] [[Sketcher_ConnectLines|Połącz krawędzie]]: Połącz elementy szkicownika poprzez zastosowanie zbieżnych ograniczeń do punktów końcowych. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectConstraints.svg|32px]] [[Sketcher SelectConstraints|Zaznacz wiązania]]: Wybiera wiązania elementu rysunku w szkicowniku. {{Version/pl|0.15}}
+
* [[File:Sketcher_SelectConstraints.svg|32px]] [[Sketcher_SelectConstraints|Zaznacz wiązania]]: Wybiera wiązania elementu rysunku w szkicowniku. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectOrigin.svg|32px]] [[Sketcher SelectOrigin|Zaznacz początek]]: Wybiera punkt początkowy szkicu. {{Version/pl|0.15}}
+
* [[File:Sketcher_SelectElementsAssociatedWithConstraints.svg|32px]] [[Sketcher_SelectElementsAssociatedWithConstraints|Zaznacz elementy skojarzone z wiązaniami]]: Wskaż elementy rysunku powiązane z wiązaniami. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectVerticalAxis.svg|32px]] [[Sketcher SelectVerticalAxis|Wybierz oś pionową]]: Wybór osi pionowej szkicu.{{Version/pl|0.15}}
+
* [[File:Sketcher_SelectRedundantConstraints.svg|32px]] [[Sketcher_SelectRedundantConstraints|Zaznacz nadmiarowe wiązania]]: Wybiera zbędne wiązania w szkicu. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectHorizontalAxis.svg|32px]] [[Sketcher SelectHorizontalAxis|Wybierz oś poziomą]]: Zaznacza poziomą oś szkicu. {{Version/pl|0.15}}
+
* [[File:Sketcher_SelectConflictingConstraints.svg|32px]] [[Sketcher_SelectConflictingConstraints|Zaznacz sprzeczne wiązania]]: Wybiera kolidujące ze sobą wiązania szkicu. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectRedundantConstraints.svg|32px]] [[Sketcher SelectRedundantConstraints|Zaznacz nadmiarowe wiązania]]: Wybiera zbędne wiązania w szkicu. {{Version/pl|0.15}}
+
* [[File:Sketcher_RestoreInternalAlignmentGeometry.svg|32px]] [[Sketcher_RestoreInternalAlignmentGeometry|Pokaż geometrię wewnętrzną ...]]: Umożliwia odtworzenie brakującej lub usunięcie niepotrzebnej geometrii wewnętrznej wybranej elipsy, łuku elipsy, hiperboli, paraboli lub B-spline.
  
* [[Image:Sketcher SelectConflictingConstraints.svg|32px]] [[Sketcher SelectConflictingConstraints|Zaznacz sprzeczne wiązania]]: Wybiera kolidujące ze sobą wiązania szkicu. {{Version/pl|0.15}}
+
* [[File:Sketcher_SelectOrigin.svg|32px]] [[Sketcher_SelectOrigin|Zaznacz początek]]: Wybiera punkt początkowy szkicu. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectElementsAssociatedWithConstraints.svg|32px]] [[Sketcher SelectElementsAssociatedWithConstraints|Zaznacz elementy skojarzone z wiązaniami]]: Wskaż elementy rysunku powiązane z wiązaniami. {{Version/pl|0.15}}
+
* [[File:Sketcher_SelectVerticalAxis.svg|32px]] [[Sketcher_SelectVerticalAxis|Wybierz oś pionową]]: Wybór osi pionowej szkicu.{{Version/pl|0.15}}
  
* [[File:Sketcher_Element_Ellipse_All.svg|32px]] [[Sketcher_RestoreInternalAlignmentGeometry|Pokaż geometrię wewnętrzną ...]]: Umożliwia odtworzenie brakującej lub usunięcie niepotrzebnej geometrii wewnętrznej wybranej elipsy, łuku elipsy, hiperboli, paraboli lub B-spline.
+
* [[File:Sketcher_SelectHorizontalAxis.svg|32px]] [[Sketcher_SelectHorizontalAxis|Wybierz oś poziomą]]: Zaznacza poziomą oś szkicu. {{Version/pl|0.15}}
  
* [[Image:Sketcher Symmetry.svg|32px]] [[Sketcher Symmetry|Tworzy symetryczna geometrię ...]]: Tworzy kopię wybranego elementu, symetrycznie względem wybranej linii. {{Version/pl|0.16}}
+
* [[File:Sketcher_Symmetry.svg|32px]] [[Sketcher_Symmetry|Tworzy symetryczna geometrię ...]]: Tworzy kopię wybranego elementu, symetrycznie względem wybranej linii. {{Version/pl|0.16}}
  
* [[Image:Sketcher Clone.svg|32px]] [[Sketcher Clone|Tworzy proste kopie elementu ...]]: Klonuje wybrany element w szkicowniku. {{Version/pl|0.16}}
+
* [[File:Sketcher_Clone.svg|32px]] [[Sketcher_Clone|Tworzy proste kopie elementu ...]]: Klonuje wybrany element w szkicowniku. {{Version/pl|0.16}}
  
* [[Image:Sketcher Copy.svg|32px]] [[Sketcher Copy|Kopia]]: Kopiuje element szkicownika. {{Version/pl|0.16}}
+
* [[File:Sketcher_Copy.svg|32px]] [[Sketcher_Copy|Kopia]]: Kopiuje element szkicownika. {{Version/pl|0.16}}
  
 
* [[File:Sketcher_Move.svg|32px]] [[Sketcher_Move|Przesuń]]: Przesuwa wybraną geometrię, biorąc za punkt odniesienia ostatni wybrany punkt. {{Version|0.18}}
 
* [[File:Sketcher_Move.svg|32px]] [[Sketcher_Move|Przesuń]]: Przesuwa wybraną geometrię, biorąc za punkt odniesienia ostatni wybrany punkt. {{Version|0.18}}
  
* [[Image:Sketcher RectangularArray.svg|32px]] [[Sketcher RectangularArray|Tworzy prostokątny wzór macierzy reometrii ...]]: Tworzy tablicę wybranych elementów szkicownika. {{Version/pl|0.16}}
+
* [[File:Sketcher_RectangularArray.svg|32px]] [[Sketcher_RectangularArray|Tworzy prostokątny wzór macierzy reometrii ...]]: Tworzy tablicę wybranych elementów szkicownika. {{Version/pl|0.16}}
  
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllGeometry|Usuń całą Geometrię]]: Usuwa całą geometrię ze szkicu. {{Version/pl|0.18}}
+
* [[File:Sketcher_DeleteAllGeometry.svg|32px]] [[Sketcher_DeleteAllGeometry|Usuń całą Geometrię]]: Usuwa całą geometrię ze szkicu. {{Version/pl|0.18}}
  
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllConstraints|Usuń wszystkie wiązania]]: Usuwa wszystkie wiązania ze szkicu. {{Version/pl|0.18}}
+
* [[File:Sketcher_DeleteAllConstraints.svg|32px]] [[Sketcher_DeleteAllConstraints|Usuń wszystkie wiązania]]: Usuwa wszystkie wiązania ze szkicu. {{Version/pl|0.18}}
  
 
===Narzędzia szkicownika dla B-splajn===
 
===Narzędzia szkicownika dla B-splajn===
  
* [[File:Sketcher_BSplineDegree.svg|32px]] [[Sketcher_BSplineDegree|Pokaż ukryj stopnie B-spline]]
+
* [[File:Sketcher_BSplineDegree.svg|32px]] [[Sketcher_BSplineDegree|Pokaż / ukryj stopnie B-spline]]
 +
 
 +
* [[File:Sketcher_BSplinePolygon.svg|32px]] [[Sketcher_BSplinePolygon|Pokaż / ukryj wielokąt kontrolny B-spline]]
  
* [[File:Sketcher_BSplinePolygon.svg|32px]] [[Sketcher_BSplinePolygon|Pokaż/Ukryj wielokąt kontrolny B-spline]]
+
* [[File:Sketcher_BSplineComb.svg|32px]] [[Sketcher_BSplineComb|Pokaż / ukryj grzebień krzywizny B-spline]]
  
* [[File:Sketcher_BSplineComb.svg|32px]] [[Sketcher_BSplineComb|Pokaż / Ukryj grzebień krzywizny B-spline]]
+
* [[File:Sketcher_BSplineKnotMultiplicity.svg|32px]] [[Sketcher_BSplineKnotMultiplicity|Pokaż / ukryj wielokrotność węzłów  B-spline]]
  
* [[File:Sketcher_BSplineKnotMultiplicity.svg|32px]] [[Sketcher_BSplineKnotMultiplicity|Pokaż / Ukryj wielokrotność węzłów  B-spline]]
+
* [[File:Sketcher_BSplineConvertToNURB.svg|32px]] [[Sketcher BSplineConvertToNURB|Konwertuj geometrie na B-spline]]
  
* [[File:Sketcher_BSplineApproximate.svg|32px]] [[Sketcher_ConvertToNURB|Konwertuj geometrie na B-spline]]
+
* [[File:Sketcher_BSplineIncreaseDegree.svg|32px]] [[Sketcher_BSplineIncreaseDegree|Zwiększ stopień B-splajnu]]
  
* [[File:Sketcher_BSplineIncreaseDegree.svg|32px]] [[Sketcher_BSplineIncreaseDegree|Zwiększ stopień]]
+
* [[File:Sketcher_BSplineDecreaseDegree.svg|32px]] [[Sketcher_BSplineDecreaseDegree|Zmniejsz stopień B-splajnu]], obecnie to polecenie nie jest zaimplementowane. {{Version/pl|0.19}}
  
 
* [[File:Sketcher_BSplineIncreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineIncreaseKnotMultiplicity|Zwiększyć liczebność węzłów]]
 
* [[File:Sketcher_BSplineIncreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineIncreaseKnotMultiplicity|Zwiększyć liczebność węzłów]]
Line 318: Line 261:
 
===Wirtualna przestrzeń szkicownika===
 
===Wirtualna przestrzeń szkicownika===
  
* [[Image:Sketcher SwitchVirtualSpace.svg|32px]] [[Sketcher_SwitchVirtualSpace|Przełącz wirtualną przestrzeń]]: Umożliwia ukrycie wszystkich wiązań szkicu i ponowne ich wyeksponowanie. {{Version/pl|0.17}}
+
* [[File:Sketcher_SwitchVirtualSpace.svg|32px]] [[Sketcher_SwitchVirtualSpace|Przełącz wirtualną przestrzeń]]: Umożliwia ukrycie wszystkich wiązań szkicu i ponowne ich wyeksponowanie. {{Version/pl|0.17}}
  
 
===Ustawienia===
 
===Ustawienia===
Line 334: Line 277:
 
* Jeśli masz możliwość wyboru między wiązaniem długości a wiązaniem poziomym lub pionowym, preferowane są te ostatnie. Ograniczenia odległości poziomej i pionowej są mniej obciążające obliczeniowo.
 
* Jeśli masz możliwość wyboru między wiązaniem długości a wiązaniem poziomym lub pionowym, preferowane są te ostatnie. Ograniczenia odległości poziomej i pionowej są mniej obciążające obliczeniowo.
 
* Ogólnie rzecz biorąc, najlepsze ograniczenia, których należy użyć, to: <br />Wiązania poziome i pionowe; Wiązania poziome i pionowe długości; Styczność punkt-punkt. <br />Jeśli to możliwe, należy ograniczyć użycie następujących wiązań: <br />ogólne wiązanie długości, styczność krawędzi do krawędzi, ustalenie punktu do związania linii, wiązanie symetrii.
 
* Ogólnie rzecz biorąc, najlepsze ograniczenia, których należy użyć, to: <br />Wiązania poziome i pionowe; Wiązania poziome i pionowe długości; Styczność punkt-punkt. <br />Jeśli to możliwe, należy ograniczyć użycie następujących wiązań: <br />ogólne wiązanie długości, styczność krawędzi do krawędzi, ustalenie punktu do związania linii, wiązanie symetrii.
* Jeśli masz wątpliwości co do poprawności szkicu po jego ukończeniu ''(elementy zmieniają kolor na zielony)'', zamknij okno dialogowe Szkicownik, przejdź do Środowiska pracy [[Image:Workbench_Part.svg|24px]] [[Part Workbench/pl|Part]] i uruchom [[Image:Part_CheckGeometry.svg|24px]] [[Part CheckGeometry|Sprawdź geometrię]].
+
* Jeśli masz wątpliwości co do poprawności szkicu po jego ukończeniu ''(elementy zmieniają kolor na zielony)'', zamknij okno dialogowe Szkicownik, przejdź do Środowiska pracy [[Image:Workbench_Part.svg|24px]] [[Part_Module/pl|Part]] i uruchom {{Button|[[File:Part_CheckGeometry.svg|16px]] [[Part_CheckGeometry|Sprawdź geometrię]]}}.
  
 
==Poradniki==
 
==Poradniki==

Latest revision as of 07:25, 17 October 2020

Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎magyar • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎български • ‎русский • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎中文(台灣)‎ • ‎中文(繁體)‎ • ‎日本語
Ikonka FreeCAD dla Środowiska pracy Sketcher

Wprowadzenie

FreeCAD Workbench Sketcher.svg Środowisko pracy Sketcher służy do tworzenia geometrii 2D przeznaczonych do wykorzystania w Środowiskach pracy Workbench PartDesign.svg PartDesign, Workbench Arch.svg Arch i innych. Ogólnie rzecz biorąc, rysunek 2D jest uważany za punkt wyjścia dla większości modeli CAD, ponieważ szkic 2D może być wyciągany do tworzenia kształtu 3D. Kolejne szkice 2D mogą być wykorzystywane do tworzenia następnych elementów detalu, takich jak kieszenie, grzbiety lub wytłoczki na górze uprzednio zbudowanych kształtów 3D. Wraz z operacjami logicznymi zdefiniowanymi w Środowisku pracy Workbench Part.svg Part, Sketcher stanowi podstawę konstrukcyjnej geometrii bryłowej (CSG) metody budowania brył. Ponadto wraz z operacjami dostępnymi w Workbench PartDesign.svg PartDesign Sketcher stanowi również podstawę do metody tworzenia brył.

Środowisko pracy Sketcher posiada wiązania, dzięki czemu kształty 2D mogą podążać za precyzyjnymi definicjami geometrycznymi pod względem długości, kątów i relacji (poziomość, pionowość, prostopadłość itp.). Narzędzie do tworzenia wiązań oblicza wymagany zakres geometrii 2D i umożliwia przeprowadzenie interaktywnej eksploracji stopni swobody szkicu.

FC ConstrainedSketch.png

W pełni związany szkic.


Podstawy tworzenia wiązań

Aby wyjaśnić, jak działa Sketcher, przydatne może być porównanie go z "tradycyjnym" sposobem sporządzania projektu.

Rysowanie Tradycyjne

Tradycyjna metoda rysowania CAD pochodzi od dawnej deski kreślarskiej. Rzuty prostopadłe (2D) są kreślone ręczenie z przeznaczeniem do tworzenia rysunków technicznych. Obiekty są rysowane precyzyjnie w zamierzonej skali lub wymiarze. Jeśli chcesz narysować poziomą linię o długości 100mm startującą w punkcie (0,0), musisz aktywować narzędzie linii, kliknąć na ekranie bądź wprowadzić współrzędne (0,0) dla pierwszego punktu, następnie wykonać kolejne kliknięcie lub wprowadzić współrzędnie dla drugiego punktu (0,100). Ewentualnie możesz narysować linię bez określanie jej pozycji i przesunąć ją później. Kiedy skończysz rysować geometrię, nadajesz jej wymiary.

Szkicowanie z więzami

Sketcher odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie tak, jak zamierzasz, ponieważ zostaną później zdefiniowane przez wiązania. Obiekty mogą być rysowane luźno i tak długo, jak długo pozostają niezwiązane, mogą być modyfikowane. Są one w efekcie pływające i mogą być przesuwane, rozciągane, obracane, skalowane i tak dalej. Daje to dużą elastyczność w procesie projektowania.

Czym są wiązania

Zamiast wymiarów, wiązaniania są stosowane w celu ograniczenia stopnia swobody obiektu. Na przykład, linia bez wiązań ma 4 stopnie swobody (w skrócie "DOF"): można ją przesuwać w poziomie lub w pionie, można ją rozciągać i obracać.

Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za w pełni ograniczoną więzami.

Wiele obiektów może być ze sobą związanych. Dwie linie mogą być połączone poprzez jeden z ich punktów za pomocą wiązania punktów zbieżnych. Mogą być ustawiane między sobą pod kątem lub prostopadle. Linia może być styczna do łuku lub okręgu i tak dalej. Złożony szkic z wieloma obiektami będzie miał wiele różnych rozwiązań, a uczynienie go w pełni ograniczonym oznacza, że tylko jedno z tych możliwych rozwiązań zostało osiągnięte w oparciu o zastosowane ograniczenia.

Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji 'The tools'.

Do czego Szkicownik nie jest dobry

Sketcher nie jest przeznaczony do wykonywania planów 2D. Gdy szkice zostaną użyte do wygenerowania bryły, są one automatycznie ukrywane. Ograniczenia są widoczne tylko w trybie edycji szkicu.

Jeśli potrzebujesz stworzyć tylko widoki 2D do druku, a nie chcesz tworzyć modeli 3D, sprawdź Środowisko pracy Draft. W przeciwieństwie do elementów szkicownika, szkice obiektów nie używają wiązań; są to proste kształty zdefiniowane w momencie tworzenia. Zarówno Draft jak i Sketcher mogą być używane do rysowania geometrii 2D i tworzenia brył 3D, chociaż ich preferowane zastosowanie jest inne.
Sketcher jest zwykle używany razem z Part i PartDesign do tworzenia brył. Draft jest zwykle używany do wykonywania prostych rysunków planarnych na siatce, jak podczas rysowania architektonicznego planu piętra. W takich sytuacjach Draft jest najczęściej używany razem ze Środowiskiem pracy Arch. Narzędzie Draft2Sketch konwertuje obiekt Draft na obiekt Sketch i vice versa. Wiele narzędzi, które potrzebują elementu 2D jako wejścia do pracy z każdym typem obiektu wykonuje automatycznie konwersję wewnętrzną.

Szkicowanie schemat pracy

Szkic jest zawsze dwuwymiarowy (2D). Aby utworzyć bryłę, tworzony jest płaski szkic pojedynczego zamkniętego obszaru, a następnie zostaje albo wypełniony albo obracany, aby dodać trzeci wymiar. W ten sposób tworzona jest przestrzenna bryła z płaskiego szkicu.

Jeśli szkic posiada odcinki, które się krzyżują, miejsca, w których punkt nie znajduje się bezpośrednio na odcinku, lub miejsca, w których występują przerwy pomiędzy punktami końcowymi sąsiednich odcinków, wyciągnięcie lub wyciągnięcie przez obrót nie stworzą bryły. Czasami szkic, który zawiera przecinające się linie, będzie działał dla prostej operacji, takiej jak wyciągnięcie, ale późniejsze operacje, takie jak Linear Pattern, nie powiodą się. Najlepiej jest unikać krzyżowania linii. Wyjątkiem od tej reguły jest sytuacja, dla elementów konstrukcyjnych (niebieskich).

Wewnątrz zamkniętego obszaru możemy mieć mniejsze powierzchnie nie zachodzące na siebie. Będą to puste przestrzenie, gdy zostanie utworzona bryła 3D.

Gdy szkic jest w pełni związany, jego elementy zmienią kolor na zielony, geometria konstrukcji pozostanie niebieska. Zazwyczaj jest on gotowy w tym miejscu i nadaje się do wykorzystania przy tworzeniu bryły 3D. Jednakże, gdy okno dialogowe Szkic jest zamknięte, warto przejść do Środowiska pracy Workbench Part.svg Part Workbench and running Part CheckGeometry.svg Sprawdź geometrię, aby upewnić się, że w Szkicu nie ma elementów, które mogą spowodować późniejsze problemy.

Narzędzia

Wszystkie narzędzia Środowiska prascy Sketcher znajdują się w menu głównym Sketch, się one po załadowaniu tego środowiska pracy.

Informacje ogólne

  • Sketcher NewSketch.svg Nowy szkic: Tworzy nowy szkic na wybranej powierzchni lub płaszczyźnie. Jeśli podczas uruchamiania tego narzędzia nie zostanie wybrana żadna ściana, użytkownik zostanie poproszony o wybranie płaszczyzny z wyskakującego okna.
  • Sketcher ViewSketch.svg Widok szkucu: Ustawia widok modelu prostopadle do płaszczyzny szkicu.
  • Sketcher StopOperation.svg Przerwij działanie: w trybie edycji przerywa bieżącą operację, niezależnie od tego, czy jest to rysowanie, ustawianie wiązań, itp.

Geometria w szkicowniku

Poniżej znajdują się narzędzia do tworzenia obiektów.

  • Sketcher CreateLine.svg Utwórz linię na szkicu: Rysuje odcinek linii między 2 punktami. Linie są nieograniczone pod względem pewnych wiązań.
  • Sketcher CompCreateArc.png Utwórz łuk: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
  • Sketcher CreateArc.svg Utwórz łuk w szkicowniku: Rysuje odcinek łuku od punktu środka, uwzględniając promień, oraz punkt początkowy i punkt końcowy.
  • Sketcher CompCreateCircle.png Utwórz okrąg ...: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
  • Sketcher CreatePolyline.svg Utwórz polilinię w szkicu: Rysuje linię złożoną z wielu segmentów linii. Naciśnięcie klawisza M podczas rysowania polilinii przełącza pomiędzy różnymi trybami.
  • Sketcher CreateRegularPolygon.svg Wielokąt foremny : Rysuje wielokąt foremny, wybierając liczbę boków i wybierając dwa punkty: środek i jeden róg.
  • Sketcher CreateSlot.svg Utwórz szczelinę ...: Rysuje owal, wybierając środek jednego półkola i punkt końcowy drugiego półkola.
  • Sketcher CreateFillet.svg Zaokrąglenie: Tworzy zaokrąglenie między dwiema liniami połączonymi w jednym punkcie. Zaznacz obie linie lub kliknij punkt narożny, a następnie aktywuj narzędzie.
  • Sketcher ToggleConstruction.svg Tryb konstrukcji: Przełącza geometrię szkicu z/do trybu konstrukcyjnego. Geometria konstrukcji jest pokazana na niebiesko i jest pomijana poza trybem edycji szkicu.

Wiązania w szkicowniku

Wiązania służą do definiowania długości, ustalania reguł pomiędzy elementami szkicu oraz blokowania szkicu wzdłuż osi pionowej i poziomej. Niektóre z tych wiązań wymagają użycia pomocy.

Więzy geometrii

Ograniczenia te nie są zależne od danych liczbowych.

  • Sketcher ConstrainVertical.svg Utwórz wiązanie pionowe ...: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji pionowej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
  • Sketcher ConstrainHorizontal.svg Utwórz wiązanie poziome: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji poziomej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
  • Sketcher ConstrainTangent.svg Utwórz styczną ...: Tworzy wiązanie styczne pomiędzy dwoma wybranymi elementami lub wiązanie współliniowe pomiędzy dwoma segmentami linii. Segment linii nie musi leżeć bezpośrednio na łuku lub okręgu, aby został związany ze styczną do tego łuku lub okręgu.
  • Sketcher ConstrainEqual.svg Utwórz wiązanie równości: Powoduje, że dwie wybrane elementy są sobie równe. Jeśli są używane na okręgach lub łukach, ich promienie będą ustawione jako równe.
  • Sketcher ConstrainSymmetric.svg Utwórz wiąz symetrii ...: Powoduje symetryczne związanie dwóch punktów względem linii lub też związanie pierwszych dwóch wybranych punktów symetrycznie względem trzeciego wybranego punktu.

Wiązania wymiarów

Są to wiązania ściśle powiązane z danymi liczbowymi, dla których można użyć wyrażeń. Dane mogą być pobierane z arkusza kalkulacyjnego.

  • Sketcher ConstrainLock.svg Utwórz blokade wiazania ...: Powoduje związanie wybranego elementu poprzez ustawienie odległości pionowych i poziomych w stosunku do punktu początkowego, blokując w ten sposób lokalizację tego elementu. Odległości te można później edytować.
  • Sketcher ConstrainDistanceX.svg Ustal poziomą odległość ...: Ustala poziomą odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
  • Sketcher ConstrainDistanceY.svg Ustal pionową odległość ...: Ustala pionową odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
  • Sketcher ConstrainDistance.svg Ustal długość linii ...: Określa odległość wybranej linii przez związanie jej długości, lub określa odległość między dwoma punktami przez związanie odległości między nimi.
  • Sketcher ConstrainRadius.svg Zwiąż promień: Określa promień wybranego łuku lub okręgu poprzez związanie promienia.
  • Sketcher ConstrainDiameter.svg Średnica: Definiuje średnicę wybranego łuku lub okręgu poprzez związanie promienia.
  • Sketcher ConstrainAngle.svg Ustaw kąt linii ...: Określa kąt wewnętrzny między dwiema wybranymi liniami.

Narzędzia szkicownika

  • Sketcher RestoreInternalAlignmentGeometry.svg Pokaż geometrię wewnętrzną ...: Umożliwia odtworzenie brakującej lub usunięcie niepotrzebnej geometrii wewnętrznej wybranej elipsy, łuku elipsy, hiperboli, paraboli lub B-spline.

Narzędzia szkicownika dla B-splajn

Wirtualna przestrzeń szkicownika

Ustawienia

  • Preferences-general.svg Ustawienia: Konfiguracja Środowiska pracy Sketcher.

Dobre praktyki

Każdy użytkownik CAD z biegiem czasu rozwija swój własny sposób pracy, ale istnieją pewne przydatne ogólne zasady, którymi należy się kierować.

  • Seria prostych szkiców jest łatwiejsza do wykonania niż jeden złożony szkic. Na przykład, pierwszy szkic może być utworzony dla podstawowej funkcji 3D (wyciągnięcie, albo wyciągniecie przez obrót), podczas gdy drugi może zawierać otwory lub wycięcia (kieszenie). Niektóre szczegóły mogą zostać pominięte, które zostaną zrealizowane później jako funkcje 3D. Możesz wybrać unikanie zaokrągleń w szkicu, jeśli jest ich zbyt wiele, i dodać je jako funkcję 3D.
  • Zawsze twórz profil zamknięty, inaczej Twój szkic nie stworzy bryły, ale raczej zestaw otwartych ścian. Jeśli nie chcesz, aby niektóre obiekty zostały włączone do bryły, przekształć je w elementy konstrukcyjne za pomocą narzędzia Tryb konstrukcji.
  • Użyj funkcji automatycznych wiązań, aby ograniczyć liczbę wiązań, które musisz dodać ręcznie.
  • Z reguły najpierw należy zastosować ograniczenia geometryczne, potem ograniczenia wymiarowe, a następnie zablokować szkic jako ostatni. Ale pamiętaj: reguły są tworzone po to, aby je łamać. Jeśli masz problemy z manipulowaniem szkicem, przydatne może być związanie najpierw kilku obiektów przed ukończeniem profilu.
  • Jeśli to możliwe, wyśrodkuj szkic do punktu początkowego (0,0) z wiązaniem blokady. Jeśli Twój szkic nie jest symetryczny, zlokalizuj jeden z jego punktów w punkcie początkowym lub wybierz ładne okrągłe liczby dla odległości blokady. W wersji v0.12 nie są zaimplementowane zewnętrzne wiązania (ograniczające szkic do istniejącej geometrii 3D, takiej jak krawędzie lub inne szkice). Oznacza to, że aby zlokalizować kolejne szkice geometrii do pierwszego szkicu, należy ręcznie ustawić odległości względem pierwszego szkicu. Wiązanie blokady (25,75) z punktu początkowego jest łatwiejsze do zapamiętania niż (23,47,73.02).
  • Jeśli masz możliwość wyboru między wiązaniem długości a wiązaniem poziomym lub pionowym, preferowane są te ostatnie. Ograniczenia odległości poziomej i pionowej są mniej obciążające obliczeniowo.
  • Ogólnie rzecz biorąc, najlepsze ograniczenia, których należy użyć, to:
    Wiązania poziome i pionowe; Wiązania poziome i pionowe długości; Styczność punkt-punkt.
    Jeśli to możliwe, należy ograniczyć użycie następujących wiązań:
    ogólne wiązanie długości, styczność krawędzi do krawędzi, ustalenie punktu do związania linii, wiązanie symetrii.
  • Jeśli masz wątpliwości co do poprawności szkicu po jego ukończeniu (elementy zmieniają kolor na zielony), zamknij okno dialogowe Szkicownik, przejdź do Środowiska pracy Workbench Part.svg Part i uruchom Part CheckGeometry.svg Sprawdź geometrię.

Poradniki